Bug 608418 - Video goes dead when resolution is changed
Video goes dead when resolution is changed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 09:20 EDT by David Forrai
Modified: 2010-10-19 11:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-19 11:16:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (71.23 KB, application/octet-stream)
2010-06-27 09:20 EDT, David Forrai
no flags Details
Comment (192.39 KB, text/plain)
2010-09-17 22:22 EDT, David Forrai
no flags Details

  None (edit)
Description David Forrai 2010-06-27 09:20:25 EDT
Created attachment 427203 [details]
dmesg output

Description of problem:
When running prboom, the monitor is changed from my defined SVGA resolution of 1280x1024 to probably a VGA mode.  The game starts to play, but the screen goes black and the monitor goes into sleep mode due to lack of video signal.

Version-Release number of selected component (if applicable):
SDL-1.2.14-4.fc13 (x86_64)
prboom-2.5.0-4.fc13 (x86_64)

How reproducible:
Every time prboom is run since upgrading to fc13

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Petr Pisar 2010-08-12 12:18:19 EDT
I think it's a graphics card driver or monitor or Xorg configuration problem. /var/log/Xorg.0.log would be more informative.

Do you have CRT or LCD? Do you have /etc/X11/xorg.conf file with listed given graphics mode (Doom used 320x200x8b usually) and with corresponding modeline?
Comment 2 David Forrai 2010-09-17 22:22:15 EDT
Created attachment 915152 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 3 Petr Pisar 2010-09-20 05:19:51 EDT
> always wants to go to 1600x1200 despite max. res. of 1280x1024.
[...]
> [    58.311] (II) NOUVEAU(0): Using exact sizes for initial modes
> [    58.311] (II) NOUVEAU(0): Output VGA-1 using initial mode 1600x1200 +0+0
> [    58.480] resize called 1600 1200

That's the place. Nouveau does not disjunct monitor and embedded modes probably.

> [    99.249] resize called 1280 1024
> [    99.260] RANDR failure: 8 (extension base 163)

And this the resize to correct resolution that fails for unknown reason.

However I cannot see place where prboom switches the mode. This is what I get:

$ grep resize /var/log/Xorg.0.log
[    70.093] resize called 1680 1050
[  1301.850] resize called 640 480
[  1592.013] resize called 1680 1050

The fist one is Xorg start, the second one is prboom start, the third is prboom exit. The prboom resolution is define in ~/.prboom/prboom.cfg. (However if prboom is compiled in special manner, the setting is ignored. This does not seem to be case of Fedora.)

You can try to select better resolution in the file. (Be ware the bitmaps are just scaled. They are not available in other resolution than original 320×200.)

Or you can check the screen mode resolution switch by xrandr tool. You can try to (re)define the small resolution by xrandr tool (however it's quite nasty process, search for some how-tos).

Or you can try to fix the Xorg configuration by manual Modelines definitions.

In the old pre-randr days I specified HSync and VSync frequencies in Xorg.conf and then I used `xvidtune' to tune the picture on CRT. Then I copied the tuned Modelines (`Show' button in xvidtune) into Xorg.conf. However after Randr-1.2 emerge, the xvidtune stopped to work. I'm not aware of current practice.

I can publish here my Xorg.conf used on a CRT machine if you wish to inspire how to modify the Xorg configuration file.
Comment 4 David Forrai 2010-10-18 21:08:28 EDT
Petr, thank you.  It seems that the Nouveau driver is not completely compatible with my chipset.  After fooling with it a while and then ultimately moving to the latest Nvidia driver, this problem and some other graphic peculiarities have vanished.  Chipset is GeForce 6100 n405.
Comment 5 Petr Pisar 2010-10-19 05:02:33 EDT
I'm glad you found a solution. I'm moving this issue to nouveau driver component. Feel free to close this report if you do not have any comments to nouveau maintainers.
Comment 6 David Forrai 2010-10-19 11:16:17 EDT
Final comment:  The most notable video peculiarity is the use of a very large character format (virtually illegible) with the console.  For X, this was overcome by choosing an extremely large point font size.  I could not force the console to a different resolution, e.g. 80x25 characters.

Note You need to log in before you can comment on or make changes to this bug.